<script>
import { get_currency, get_decimal } from '../../../Helper/helper'
import config from '../../../config'

export default{
  props:['order','loading'],
  data() {
    return {
      config: config,
      currency: get_currency(),
      decimal: get_decimal(),
    }
  },
  methods:{
    btoa(str){
      return btoa(str);
    },
    chatuser(user_id){
      localStorage.setItem('chat_user_id',user_id);
      localStorage.setItem('chat_days','1');
      this.$router.push({ name: 'chat-list' })
    },
    googlemap(address,lat,lng){
      return 'https://www.google.com/maps/place/'+address+'/@'+lat+','+lng;
    },
    fullgooglemapdirection(address,devlieryaddress,lat,lng){
      return 'https://www.google.com/maps/dir/'+address+'/'+devlieryaddress+'/@'+lat+','+lng;
    }
  }
};

</script>

<template>

   <!-- View Detail Main Start -->
      <div class=" settings-main">
          <div class="col-12">
            <div class="text-center text-danger my-2" v-if="loading">
              <b-spinner class="align-middle"></b-spinner>
              <strong>{{trans.get('__JSON__.Loading...')}}</strong>
            </div>
          </div>

          <div class="col-md-12">
              <div class="order-det" >
                <div class="order-det__box" v-if="!loading">
                  <div class="order-det__sub" v-if="!$auth.partner_login">
                    <div >
                      <h6>{{trans.get("__JSON__.Vendor's Name",{ vendor: $auth.getRestaurantName() })}}</h6>
                      <!-- <p class="mb-0"><b-link :to="{ name: 'vendor-detail', params:{restaurant_id: btoa(order.restaurant.id) }}">{{ order.restaurant.name }}</b-link></p> -->
                      <p class="mb-0"><b-link :to="{ name: 'outlet', params:{restaurant_id: btoa(order.restaurant.id) }}">{{ order.restaurant.name }}</b-link></p>
                      <a :href="'tel:'+order.restaurant.contact_number"><i class="bx bx-phone-call"></i>  {{ order.restaurant.contact_number }}</a>
                    </div>
                  </div>
                  <div class="order-det__sub" v-else>
                    <div >
                      <h6>{{trans.get("__JSON__.Vendor's Name",{ vendor: $auth.getRestaurantName() })}}</h6>
                      <p class="mb-0">{{ order.restaurant.name }}</p>
                      <a :href="'tel:'+order.restaurant.contact_number"><i class="bx bx-phone-call"></i>  {{ order.restaurant.contact_number }}</a>
                    </div>
                  </div>
                  <div class="order-det__sub" v-if="!$auth.partner_login">
                      <div >
                        <h6>
                          {{trans.get("__JSON__.Customer's Name")}} 
                          <!-- <b-link @click="chatuser(order.user.id)"><i class="bx bx-chat bx-border"></i></b-link> -->
                        </h6>
                        <p class="mb-0"><b-link :to="{ name: 'customer-detail', params:{user_id: btoa(order.user.id) }}">{{ order.user.user_name+' '+(order.user.last_name ? order.user.last_name : '') }}</b-link></p>
                        <a :href="'tel:'+order.user.mobile_number" v-if="order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ (order.user.country_code ? order.user.country_code : '')+' '+order.user.mobile_number }}</a>
                        <p class="mb-0">{{ order.last_thirty_days_order }} {{ trans.get('__JSON__.order') }} / {{ trans.get('__JSON__.30 days') }}</p>
                        <p class="mb-0">{{ order.total_order }} {{ trans.get('__JSON__.order') }} / {{ trans.get('__JSON__.lifetime') }}</p>
                      </div>
                  </div>
                  <div class="order-det__sub" v-else>
                     <div>
                        <h6>{{trans.get("__JSON__.Customer's Name")}}</h6>
                        <p class="mb-0">{{ order.user.user_name+' '+(order.user.last_name ? order.user.last_name : '') }}</p>
                        <a :href="'tel:'+order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ (order.user.country_code ? order.user.country_code : '')+' '+order.user.mobile_number }}</a>
                        <p class="mb-0">{{ order.last_thirty_days_order }} / {{ trans.get('__JSON__.30 days') }}</p>
                        <p>{{ order.total_order }} / {{ trans.get('__JSON__.lifetime') }}</p>
                      </div>
                  </div>
                  <div class="order-det__sub" v-if="!$auth.partner_login && (order.is_dunzo_driver == '1')">
                    <div >
                    <p v-if="(!$auth.partner_login) && (order && order.is_dunzo_driver === '1') && (order && order.dunzo_driver)" class="mb-0">
                          <h6><span class="text-uppercase">{{config.dunzodrivername}}</span> Task ID : </h6>
                          <a>{{order && order.dunzo_driver.task_id ? order.dunzo_driver.task_id : '-'}}</a>
                        </p>
                  </div>
                  </div>
                  <div class="order-det__sub" v-if="!$auth.partner_login && (order.is_load_sharing_driver == '1')">
                    <div >
                    <p v-if="(!$auth.partner_login) && (order && order.is_dunzo_driver === '1') && (order && order.dunzo_driver)" class="mb-0">
                          <h6><span class="text-uppercase">{{config.loadSharedrivername}}</span> Task ID : </h6>
                          <a>{{order && order.load_share_driver.task_id ? order.load_share_driver.task_id : '-'}}</a>
                        </p>
                  </div>
                  </div>
                  <div class="order-det__sub" v-if="!$auth.partner_login && (order.driver.length > 0 && order.is_dunzo_driver == '1')">
                    <div >
                        <h6>
                          {{trans.get('__JSON__.Driver Name',{ driver: $auth.getDriverName() })}}
                          <span v-if="order && order.is_dunzo_driver === '1'" class="badge badge-pill font-size-12 badge-soft-success text-uppercase">{{config.dunzodrivername}}</span>
                        </h6>
                        <template v-if="order && order.is_dunzo_driver === '0'">
                          <p v-if="order.driver.length > 0" class="mb-0">
                            <b-link :to="{ name: 'driver-details', params:{driver_id: btoa(order.driver[0].driverid) }}"> {{ order.driver.length > 0 ? order.driver[0].firstname+' '+order.driver[0].lastname:'-' }}</b-link>
                          </p>
                          <p v-else class="mb-0">-</p>
                          <a :href="'tel:'+order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ order.driver.length > 0 ? order.driver[0].country_code+' '+order.driver[0].contactno:'-' }}</a>
                        </template>
                        <template v-else-if="order && order.is_dunzo_driver === '1'">
                          <p v-if="order && order.dunzo_driver" class="mb-0">
                            {{ order.dunzo_driver.runner ? order.dunzo_driver.runner.name : '-' }}
                          </p>
                          <p v-else class="mb-0">-</p>
                          <a :href="'tel:'+order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ order.dunzo_driver.runner ? order.dunzo_driver.runner.phone_number : '-' }}</a>
                      
                        </template>
                    </div>
                  </div>
                  <div class="order-det__sub" v-if="!$auth.partner_login && (order.driver.length > 0 && order.is_load_sharing_driver == '1')">
                    <div >
                        <h6>
                          {{trans.get('__JSON__.Driver Name',{ driver: $auth.getDriverName() })}}
                          <span v-if="order && order.is_load_sharing_driver === '1'" class="badge badge-pill font-size-12 badge-soft-success text-uppercase">{{config.loadSharedrivername}}</span>
                        </h6>
                        <template v-if="order && order.is_load_sharing_driver === '0'">
                          <p v-if="order.driver.length > 0" class="mb-0">
                            <b-link :to="{ name: 'driver-details', params:{driver_id: btoa(order.driver[0].driverid) }}"> {{ order.driver.length > 0 ? order.driver[0].firstname+' '+order.driver[0].lastname:'-' }}</b-link>
                          </p>
                          <p v-else class="mb-0">-</p>
                          <a :href="'tel:'+order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ order.driver.length > 0 ? order.driver[0].country_code+' '+order.driver[0].contactno:'-' }}</a>
                        </template>
                        <template v-else-if="order && order.is_load_sharing_driver === '1'">
                          <p v-if="order && order.load_share_driver" class="mb-0">
                            {{ order.load_share_driver.runner ? order.load_share_driver.runner.name : '-' }}
                          </p>
                          <p v-else class="mb-0">-</p>
                          <a :href="'tel:'+order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ order.load_share_driver.runner ? order.load_share_driver.runner.contact : '-' }}</a>
                      
                        </template>
                    </div>
                  </div>
                  <div class="order-det__sub" v-else-if="order.driver.length > 0">
                    <div >
                      <h6>
                        {{trans.get('__JSON__.Driver Name',{ driver: $auth.getDriverName() })}}
                        <span v-if="order.is_dunzo_driver === '1'" class="badge badge-pill font-size-12 badge-soft-success text-uppercase">{{config.dunzodrivername}}</span>
                        <span v-if="order.is_load_sharing_driver === '1'" class="badge badge-pill font-size-12 badge-soft-success text-uppercase">{{config.loadSharedrivername}}</span>
                      </h6>
                      <template v-if="order.is_dunzo_driver === '0' && order.is_load_sharing_driver == '0'">
                        <p v-if="order.driver.length > 0" class="mb-0">
                          {{ order.driver.length > 0 ? order.driver[0].firstname+' '+order.driver[0].lastname:'-' }}
                        </p>
                        <p v-else class="mb-0">-</p>
                        <a :href="'tel:'+order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ order.driver.length > 0 ? order.driver[0].country_code+' '+order.driver[0].contactno:'-' }}</a>
                      </template>
                      <template v-else-if="order.is_dunzo_driver === '1'">
                        <p v-if="order.dunzo_driver" class="mb-0">
                          {{ order.dunzo_driver.runner ? order.dunzo_driver.runner.name : '-' }}
                        </p>
                        <p v-else class="mb-0">-</p>
                        <a :href="'tel:'+order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ order.dunzo_driver.runner ? order.dunzo_driver.runner.phone_number : '-' }}</a>
                      </template>
                      <template v-else-if="order.is_load_sharing_driver === '1'">
                        <p v-if="order.load_share_driver" class="mb-0">
                          {{ order.load_share_driver.runner ? order.load_share_driver.runner.name : '-' }}
                        </p>
                        <p v-else class="mb-0">-</p>
                        <a :href="'tel:'+order.user.mobile_number"><i class="bx bx-phone-call"></i>  {{ order.load_share_driver.runner ? order.load_share_driver.runner.contact : '-' }}</a>
                      </template>
                    </div>
                  </div>
                </div>
                <div class="order-det__box order-det__box--wide" v-if="!loading">
                    <div class="order-det__sub">
                      <div class="time-line">
                          <div class="time-line-box">
                            <h6><span><a target="_blank" :href=googlemap(order.restaurant.address,order.restaurant.latitude,order.restaurant.longitude)><i class="bx bx-map bx-border"></i></a></span>&nbsp;&nbsp; {{trans.get('__JSON__.Pickup Location')}} </h6>
                            <p class="m-0">{{order.restaurant.address}}</p>
                            <div class="time-line-icon">
                              <a target="_blank" :href="fullgooglemapdirection(order.restaurant.address,order.shipping_address,order.restaurant.latitude,order.restaurant.longitude)">{{ trans.get('__JSON__.View google map') }}</a>
                            </div>
                          </div>
                          <div class="time-line-box">
                            <h6><span><a target="_blank" :href=googlemap(order.shipping_address,order.delivery_latitude,order.delivery_longitude)><i class="bx bx-map bx-border"></i></a></span>&nbsp;&nbsp;  {{trans.get('__JSON__.Drop Location')}}</h6>
                          <p class="m-0" v-if="(order && order.locality) || (order && order.area) || (order && order.city)">{{ order.locality }}, {{ order.city }} ,{{ order.area }}, {{order.shipping_address}}</p>
                          <p class="m-0" v-else>{{order.shipping_address}}</p>
                        </div>
                      </div>
                    </div>
                    <div class="order-det__sub">
                      <div v-if="order.distance_km && order.distance_km != ''">
                          <!-- <h6>{{trans.get('__JSON__.Distance In')}} {{$auth.getVendorDistanceMetric()}} / {{ trans.get('__JSON__.Minute') }} </h6>
                          <p>{{ order.distance_km }} / {{ order.distance_mintue }}</p> -->
                          <h6>{{trans.get('__JSON__.Distance In')}} {{$auth.getVendorDistanceMetric()}}</h6>
                          <p>{{ order.distance_km }}</p>
                        </div>
                    </div>
                    <div class="order-det__sub">
                      <div  v-if="order.distance_mintue && order.distance_mintue != ''">
                        <h6>{{trans.get('__JSON__.Distance In Minute')}}</h6>
                        <p v-if="order.distance_mintue != '00:00 min'">{{ order.distance_mintue }}</p>
                        <p v-else>0 min</p>
                      </div>
                    </div>
                </div>
                <div class="order-det__box" v-if="!loading">
                  <div class="order-det__sub">
                    <div>
                        <h6>{{trans.get('__JSON__.Payment Details')}}</h6>
                        <p>
                        <template v-if="order.wallet_amount == 0">
                          <span class="text-success" v-html="currency"></span> <span  class="text-success">{{ (order.total_amount || 0).toFixed(decimal) }}/{{order.payment_method}}</span>
                        </template>
                        <template v-else>
                          <span class="text-success" v-html="currency"></span> <span  class="text-success">{{ parseFloat(order.amount==0?order.wallet_amount:order.amount || 0).toFixed(decimal) }}/{{order.payment_method}}</span>
                        </template>
                        <template v-if="order.wallet_amount > 0 && order.amount > 0">
                          <br>
                          <span class="text-success" v-html="currency"></span> <span  class="text-success">{{ (parseFloat(order.wallet_amount || 0)).toFixed(decimal) }}/{{trans.get('__JSON__.Wallet')}}</span>
                        </template>
                        <template v-if="order.reddemed_coupon_order">
                          <br>
                          <span  class="text-danger" v-html="currency"></span> 
                          <span class="text-danger" v-if="order.reddemed_coupon_order.coupon && (order.reddemed_coupon_order.coupon.promo_code_type == 1 || order.reddemed_coupon_order.coupon.promo_code_type == 2)">
                            {{ ((order.reddemed_coupon_order.original_price - order.reddemed_coupon_order.discount_price) || 0).toFixed(decimal) }}/{{trans.get('__JSON__.Coupon Discount')}}
                          </span>
                          <span class="text-danger" v-if="order.reddemed_coupon_order.coupon && (order.reddemed_coupon_order.coupon.promo_code_type == 3 || order.reddemed_coupon_order.coupon.promo_code_type == 4)">
                            {{ ((order.reddemed_coupon_order.cashback) || 0).toFixed(decimal) }}/{{trans.get('__JSON__.Coupon Cashback')}}
                          </span>
                        </template>
                        </p>
                        <p v-if="order.payment_method != 'Cash On Delivery' && order.transaction_id != null && $auth.setting.payment_gateway != 'kina'">
                          <span class="font-weight-bold">{{ trans.get('__JSON__.Transaction ID') }}</span><br>
                          {{ order.transaction_id }}
                        </p>
                        <p v-if="order.payment_method != 'Cash On Delivery' && order.transaction_id != null && $auth.setting.payment_gateway == 'kina'">
                          <span class="font-weight-bold">{{ trans.get('__JSON__.Transaction ID') }}</span><br>
                          {{ order.transaction_id }}
                          <br v-if="order.kina_reference_number != ''">
                          <br v-if="order.kina_reference_number != ''">
                          <span class="font-weight-bold" v-if="order.kina_reference_number != ''">{{ trans.get('__JSON__.Reference Number') }}</span><br v-if="order.kina_reference_number != ''">
                          <span v-if="order.kina_reference_number != ''"> {{ order.kina_reference_number }}</span>
                          <br v-if="order.kina_approval_code != ''">
                          <br v-if="order.kina_approval_code != ''">
                          <span class="font-weight-bold" v-if="order.kina_approval_code != ''">{{ trans.get('__JSON__.Approval Code') }}</span><br v-if="order.kina_approval_code != ''">
                          <span v-if="order.kina_approval_code != ''"> {{ order.kina_approval_code }}</span>
                        </p>
                      </div>
                  </div>
                  <div class="order-det__sub" v-if="!$auth.partner_login">
                    <div  >
                        <h6>{{trans.get('__JSON__.Last Mile Earning')}}</h6>
                        <p><span v-html="currency"></span> {{ parseFloat(order.driver_earning || 0).toFixed(decimal) }}</p>
                      </div>
                  </div>
                  <div class="order-det__sub"  v-if="!$auth.partner_login">
                    <div>
                        <h6>{{trans.get('__JSON__.Admin Earning')}}</h6>
                        <p><span v-html="currency"></span> {{ parseFloat(order.admin_commision || 0).toFixed(decimal) }}</p>
                      </div>
                  </div>
                  <div class="order-det__sub" v-if="!$auth.partner_login && order.packaging_charge > 0">
                    <div>
                        <h6>{{trans.get('__JSON__.Packaging Charge')}}</h6>
                        <p><span v-html="currency"></span> {{ parseFloat(order.packaging_charge || 0).toFixed(decimal) }}</p>
                      </div>
                  </div>
                  <!-- <div class="order-det__sub"  v-if="!$auth.partner_login">
                    <div>
                        <h6>{{trans.get('__JSON__.Delivery Charge')}}</h6>
                        <p><span v-html="currency"></span> {{ parseFloat(order.delivery_fee || 0).toFixed(decimal) }}</p>
                      </div>
                  </div>
                  <div class="order-det__sub">
                    <div >
                        <h6>{{trans.get('__JSON__.Driver Tip',{ driver: $auth.setting.driver_name })}}</h6>
                        <p><span v-html="currency"></span> {{ order.driver_tip }}</p>
                    </div>
                  </div> -->
                  <div class="order-det__sub">
                    <div>
                        <h6>{{trans.get('__JSON__.Notes')}}</h6>
                        <p>{{ order.notes ? order.notes : '-' }}</p>
                      </div>
                  </div>
                </div>
              </div>
          </div>
      </div>
   <!-- View Detail Main End -->

</template>

<style>
.time-line-icon {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    flex-direction: column;
    margin: 10px 0px;
}

.time-line .time-line-box{
  padding-left: 0px;
  position: relative;
}
.time-line .time-line-box::before{
  content: '';
    width: 10px;
    display: inline-block;
    border-left: 0px dotted black;
    height: 125%;
    position: absolute;
    left: 10px;
    top: 5px;
}
.time-line .time-line-box-drop{
  content: '';
    width: 10px;
    display: inline-block;
    border-left: 0px dotted black;
    height: 125%;
    position: absolute;
    left: 10px;
    top: 5px;
}
/* .time-line-line {
    width: 3px;
    height: 12px;
    display: inline-block;
    border-right: 3px dotted black;
} */
</style>